# Created by pyp2rpm-3.3.5
%global pypi_name jupyterlab-pygments
%global srcname jupyterlab_pygments

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 3
Summary:        Pygments theme
Group:          Development/Python
License:        BSD-3-Clause AND MIT
URL:            https://github.com/jupyterlab/jupyterlab_pygments
Source0:        %{pypi_source}
Patch0:         drop-hatch-nodejs-version.patch
Patch1:         jupyterlab_pygments-break-dep-loop.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
This package contains a syntax coloring theme for pygments making use of the
JupyterLab CSS variables.

%package -n     python3-%{pypi_name}
Summary:        Pygments theme
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-jupyterlab_pygments < 0.3.0-2

%description -n python3-%{pypi_name}
This package contains a syntax coloring theme for pygments making use of the
JupyterLab CSS variables.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Replace dynamic version
sed -i "s/##VERSION##/%{version}/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_datadir}/jupyter/labextensions/jupyterlab_pygments/


%changelog
* Sun Mar 02 2025 wally <wally> 0.3.0-3.mga10
+ Revision: 2157774
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 0.3.0-2.mga10
+ Revision: 2021912
- rename src pkg as python-jupyterlab-pygments
- rebuild for py3.12
- temporarily break dep loop
+ daviddavid <daviddavid>
- new version: 0.3.0

* Mon Oct 30 2023 daviddavid <daviddavid> 0.2.2-1.mga10
+ Revision: 2002845
- new version: 0.2.2
- switch to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 0.1.2-3.mga9
+ Revision: 1823547
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 0.1.2-2.mga9
+ Revision: 1783505
- Rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 0.1.2-1.mga9
+ Revision: 1708225
- initial package python-jupyterlab_pygments

